## python-oslo.middleware 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
Babel>=1.3
oslo.config>=1.9.0  # Apache-2.0
oslo.context>=0.2.0                     # Apache-2.0
oslo.i18n>=1.3.0  # Apache-2.0
six>=1.9.0
stevedore>=1.1.0  # Apache-2.0
WebOb>=1.2.3

=== debian/changelog ===
python-oslo.middleware (1.0.0-0ubuntu2~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Mar 2015 13:02:01 +0000

python-oslo.middleware (1.0.0-0ubuntu2) vivid; urgency=medium

  * d/control: Bump minimum version requirement for oslo-context to
    0.2.0 inline with upstream, ensuring that oslo.middleware can be
    loaded correctly as part of an entry point.
  * d/control,rules,*.doc-base: Tidyup missed bits from transition to
    non-namespaced packages.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Mar 2015 11:24:02 +0000

python-oslo.middleware (1.0.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/control: Update dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Mar 2015 09:19:36 -0400

python-oslo.middleware (0.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Transition to new namespace.
  * debian/control: Add python-oslo-context as build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 10:56:50 -0500

python-oslo.middleware (0.2.0-1ubuntu1) vivid; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 09:10:12 -0500

python-oslo.middleware (0.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #769283)

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 19:50:52 +0800

=== debian/control ===
Source: python-oslo.middleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-babel (>= 1.3),
                     python-fixtures (>= 0.3.14),
                     python-mock (>= 1.0),
                     python-oslo.config (>= 1.9.0),
                     python-oslo-context (>= 0.2.0),
                     python-oslo.i18n (>= 0.3.0),
                     python-oslosphinx (>=2.2.0.0),
                     python-oslotest (>=1.1.0.0),
                     python-six (>= 1.7.0),
                     python-subunit (>= 0.0.18),
                     python-testtools (>= 0.9.34),
                     python-webob (>= 1.2.3),
                     python3-babel (>= 1.3),
                     python3-fixtures (>= 0.3.14),
                     python3-mock (>= 1.0),
                     python3-oslo.config (>= 1.4.0.0),
                     python3-oslo-context (>= 0.2.0),
                     python3-oslo.i18n (>= 0.3.0),
                     python3-oslotest (>=1.1.0.0),
                     python3-six (>= 1.7.0),
                     python3-subunit (>= 0.0.18),
                     python3-testtools (>= 0.9.34),
                     python3-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.middleware.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.middleware.git
Homepage: https://github.com/openstack/oslo.middleware

Package: python-oslo-middleware
Architecture: all
Breaks: python-oslo.middleware ( << 0.2.0-1ubuntu1~)
Replaces: python-oslo.middleware ( << 0.2.0-1ubuntu1~)
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-oslo.config (>= 1.9.0),
         python-oslo-context (>= 0.2.0),
         python-oslo.i18n (>= 0.3.0),
         python-six (>= 1.7.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-oslo.middleware-doc
Description: various WSGI middleware components for OpenStack - Python 2.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 2.x module.

Package: python3-oslo-middleware
Architecture: all
Breaks: python3-oslo.middleware ( << 0.2.0-1ubuntu1~)
Replaces: python3-oslo.middleware ( << 0.2.0-1ubuntu1~)
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-babel (>= 1.3),
         python3-oslo.config (>= 1.9.0),
         python3-oslo-context (>= 0.2.0),
         python3-oslo.i18n (>= 0.3.0),
         python3-six (>= 1.7.0),
         python3-webob (>= 1.2.3),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-oslo.middleware-doc
Description: various WSGI middleware components for OpenStack - Python 3.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 3.x module.

Package: python-oslo-middleware-doc
Section: doc
Architecture: all
Breaks: python-oslo.middleware-doc ( << 0.2.0-1ubuntu1~)
Replaces: python-oslo.middleware-doc ( << 0.2.0-1ubuntu1~)
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: various WSGI middleware components for OpenStack - doc
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the documentation.

Package: python-oslo.middleware
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, python-oslo-middleware
Description: transitional dummy package for python-oslo.middleware
 This transtional package is safe to remove.

Package: python-oslo.midddleware-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, python-oslo-middleware-doc
Description: transitional dummy package for python3-oslo.middleware
 This transtional package is safe to remove.

Package: python3-oslo.middleware
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, python3-oslo-middleware
Description: transitional dummy package for python3-oslo.middleware
 This transitional package is save to remove

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.middleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo-middleware; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo-middleware; \
	done
	rm -rf $(CURDIR)/debian/python*-oslo-middleware/usr/lib/python*/dist-packages/*.pth

#        set -e && for i in 2.7 ; do \

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests: WARNING: Not testing with Python 3 because of namespaces!"
	set -e && for i in $(PYTHONS) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo-middleware-doc/usr/share/doc/python-oslo-middleware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oslo.middleware oslo.middleware-(.*).tar.gz

## python-oslo.middleware 2.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6
Babel>=1.3
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
WebOb>=1.2.3

=== debian/changelog ===
python-oslo.middleware (2.8.0-1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 08 Sep 2015 10:12:42 +0000

python-oslo.middleware (2.8.0-1) experimental; urgency=medium

   * New upstream release.
   * Fixed (build-)depends for this release.
   * Removed adds-missing-files.patch file.
   * Add myself to Uploaders field.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Tue, 01 Sep 2015 10:10:47 -0400

python-oslo.middleware (2.4.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed debian/patches/do-not-run-test-on-toplevel-folder.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 09:10:35 +0000

python-oslo.middleware (2.1.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 17:05:28 +0100

python-oslo.middleware (1.3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional packages for
      *oslo-middleware packages in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:50:22 +0100

python-oslo.middleware (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2015 13:51:22 +0100

=== debian/control ===
Source: python-oslo.middleware
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-mock,
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context,
                     python-oslo.i18n,
                     python-oslosphinx,
                     python-oslotest (>= 1.10.0),
                     python-six,
                     python-stevedore (>= 1.5.0),
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python3-babel,
                     python3-fixtures (>= 1.3.1),
                     python3-mock,
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.context,
                     python3-oslo.i18n,
                     python3-oslotest (>= 1.10.0),
                     python3-six,
                     python3-stevedore (>= 1.5.0),
                     python3-subunit (>= 0.0.18),
                     python3-testtools (>= 1.4.0),
                     python3-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.middleware.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.middleware.git
Homepage: https://github.com/openstack/oslo.middleware

Package: python-oslo.middleware
Architecture: all
Depends: python-babel,
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context,
         python-oslo.i18n,
         python-pbr,
         python-six,
         python-stevedore (>= 1.5.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-oslo.middleware-doc,
Breaks: python-oslo-middleware (<< 1.3.0-1~),
Replaces: python-oslo-middleware (<< 1.3.0-1~),
Description: various WSGI middleware components for OpenStack - Python 2.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.middleware
Architecture: all
Depends: python3-babel,
         python3-oslo.config (>= 1:2.3.0),
         python3-oslo.context,
         python3-oslo.i18n,
         python3-pbr,
         python3-six,
         python3-stevedore (>= 1.5.0),
         python3-webob,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-oslo.middleware-doc,
Breaks: python3-oslo-middleware (<< 1.3.0-1~),
Replaces: python3-oslo-middleware (<< 1.3.0-1~),
Description: various WSGI middleware components for OpenStack - Python 3.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 3.x module.

Package: python-oslo.middleware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: various WSGI middleware components for OpenStack - doc
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the documentation.

Package: python-oslo-middleware
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.middleware,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-middleware
 This transitional package is safe to remove.

Package: python-oslo-middleware-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.middleware-doc,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-middleware-doc
 This transitional package is safe to remove.

Package: python3-oslo-middleware
Section: oldlibs
Priority: extra
Architecture: all
Depends: python3-oslo.middleware,
         ${misc:Depends},
Description: transitional dummy package for python3-oslo-middleware
 This transitional package is safe to remove.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/oslo.middleware/oslo.middleware-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-oslo.middleware 3.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
Jinja2>=2.8 # BSD License (3 clause)
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
WebOb>=1.2.3 # MIT
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.middleware (3.8.0-2ubuntu1) xenial-security; urgency=medium

  * SECURITY UPDATE: Information disclosure in log file (LP: #1628031)
    - d/p/filter-token-data-out-of-catch_errors-middleware.patch:
      ensure sensitive token data is not written to log file.
    - CVE-2017-2592

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 May 2018 10:00:18 -0400

python-oslo.middleware (3.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 09:32:04 +0000

python-oslo.middleware (3.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:33:06 +0200

python-oslo.middleware (3.7.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.
  * d/p/patch-ordereddict-out.patch: Removed. Fixed in upstream.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 01:39:53 +0000

python-oslo.middleware (3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patch-ordereddict-out.patch.
  * Fixed debian/copyright ordering.
  * Fixed duplicate long descriptions.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 06:47:52 +0000

python-oslo.middleware (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Added patch to remove ordereddict from requirements.txt
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 04:49:46 +0000

python-oslo.middleware (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed privacy breach in README.rst.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 14:29:29 +0100

python-oslo.middleware (2.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:17:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,32 @@
 Source: python-oslo.middleware
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ivan Udovichenko <iudovichenko@mirantis.com>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr,
+               python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr,
+               python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-babel,
                      python-coverage,
+                     python-debtcollector (>= 1.2.0),
                      python-fixtures (>= 1.3.1),
                      python-hacking,
+                     python-jinja2 (>= 2.8),
                      python-mock,
-                     python-oslo.config (>= 1:2.3.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.context,
                      python-oslo.i18n,
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx,
                      python-oslotest (>= 1.10.0),
                      python-six,
@@ -29,11 +34,14 @@
                      python-testtools (>= 1.4.0),
                      python-webob,
                      python3-babel,
+                     python3-debtcollector (>= 1.2.0),
                      python3-fixtures (>= 1.3.1),
+                     python3-jinja2 (>= 2.8),
                      python3-mock,
-                     python3-oslo.config (>= 1:2.3.0),
+                     python3-oslo.config (>= 1:3.7.0),
                      python3-oslo.context,
                      python3-oslo.i18n,
+                     python3-oslo.utils (>= 3.5.0),
                      python3-oslotest (>= 1.10.0),
                      python3-six,
                      python3-stevedore (>= 1.5.0),
@@ -42,18 +50,21 @@
                      python3-webob,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.middleware.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.middleware.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.middleware.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.middleware.git
 Homepage: https://github.com/openstack/oslo.middleware
 
 Package: python-oslo.middleware
 Architecture: all
 Depends: python-babel,
-         python-oslo.config (>= 1:2.3.0),
+         python-debtcollector (>= 1.2.0),
+         python-jinja2 (>= 2.8),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.context,
          python-oslo.i18n,
-         python-pbr,
+         python-oslo.utils (>= 3.5.0),
+         python-pbr (>= 1.8),
          python-six,
          python-stevedore (>= 1.5.0),
          python-webob,
@@ -71,10 +82,13 @@
 Package: python3-oslo.middleware
 Architecture: all
 Depends: python3-babel,
-         python3-oslo.config (>= 1:2.3.0),
+         python3-debtcollector (>= 1.2.0),
+         python3-jinja2 (>= 2.8),
+         python3-oslo.config (>= 1:3.7.0),
          python3-oslo.context,
          python3-oslo.i18n,
-         python3-pbr,
+         python3-oslo.utils (>= 3.5.0),
+         python3-pbr (>= 1.8),
          python3-six,
          python3-stevedore (>= 1.5.0),
          python3-webob,
@@ -107,7 +121,7 @@
 Depends: python-oslo.middleware,
          ${misc:Depends},
 Description: transitional dummy package for python-oslo-middleware
- This transitional package is safe to remove.
+ This transitional package to python-oslo.middleware is safe to remove.
 
 Package: python-oslo-middleware-doc
 Section: oldlibs
@@ -116,7 +130,7 @@
 Depends: python-oslo.middleware-doc,
          ${misc:Depends},
 Description: transitional dummy package for python-oslo-middleware-doc
- This transitional package is safe to remove.
+ This transitional package to python-oslo.middleware-doc is safe to remove.
 
 Package: python3-oslo-middleware
 Section: oldlibs
@@ -125,4 +139,4 @@
 Depends: python3-oslo.middleware,
          ${misc:Depends},
 Description: transitional dummy package for python3-oslo-middleware
- This transitional package is safe to remove.
+ This transitional package to python3-oslo.middleware is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -14,26 +14,26 @@
 override_dh_install:
 	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-oslo-middleware; \
+			--root $(CURDIR)/debian/python-oslo.middleware; \
 	done
 	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-oslo-middleware; \
+			--root $(CURDIR)/debian/python3-oslo.middleware; \
 	done
-	rm -rf $(CURDIR)/debian/python*-oslo-middleware/usr/lib/python*/dist-packages/*.pth
+	rm -rf $(CURDIR)/debian/python*-oslo.middleware/usr/lib/python*/dist-packages/*.pth
 
 #        set -e && for i in 2.7 ; do \
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	echo "===> Running tests: WARNING: Not testing with Python 3 because of namespaces!"
-	set -e && for i in $(PYTHONS) ; do \
+	set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_middleware.*' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \
@@ -45,7 +45,7 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-oslo-middleware-doc/usr/share/doc/python-oslo-middleware-doc/html
+	sphinx-build -b html doc/source debian/python-oslo.middleware-doc/usr/share/doc/python-oslo.middleware-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

## python-oslo.middleware 3.14.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Jinja2>=2.8 # BSD License (3 clause)
oslo.config>=3.10.0 # Apache-2.0
oslo.context>=2.4.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.11.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.10.0 # Apache-2.0
WebOb>=1.2.3 # MIT
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.middleware (3.14.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:35:11 +0000

python-oslo.middleware (3.14.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Drop the python-oslo-* transition packages as Xenial is released.
  * Switch to pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 18:59:30 +0000

python-oslo.middleware (3.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> in Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:11:52 +0000

=== debian/control ===
Source: python-oslo.middleware
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
           David Della Vecchia <ddv@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-jinja2 (>= 2.8),
                     python-mock,
                     python-oslo.config (>= 1:3.10.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.i18n,
                     python-oslo.utils (>= 3.11.0),
                     python-oslosphinx,
                     python-oslotest (>= 1.10.0),
                     python-six,
                     python-stevedore (>= 1.10.0),
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-jinja2 (>= 2.8),
                     python3-mock,
                     python3-oslo.config (>= 1:3.10.0),
                     python3-oslo.context (>= 2.4.0),
                     python3-oslo.i18n,
                     python3-oslo.utils (>= 3.11.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six,
                     python3-stevedore (>= 1.10.0),
                     python3-subunit (>= 0.0.18),
                     python3-testtools (>= 1.4.0),
                     python3-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.middleware?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-oslo.middleware -b debian/newton
Homepage: https://github.com/openstack/oslo.middleware

Package: python-oslo.middleware
Architecture: all
Depends: python-debtcollector (>= 1.2.0),
         python-jinja2 (>= 2.8),
         python-oslo.config (>= 1:3.10.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.i18n,
         python-oslo.utils (>= 3.11.0),
         python-pbr (>= 1.8),
         python-six,
         python-stevedore (>= 1.10.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-oslo.middleware-doc,
Breaks: python-oslo-middleware (<< 1.3.0-1~),
Replaces: python-oslo-middleware (<< 1.3.0-1~),
Description: various WSGI middleware components for OpenStack - Python 2.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.middleware
Architecture: all
Depends: python3-debtcollector (>= 1.2.0),
         python3-jinja2 (>= 2.8),
         python3-oslo.config (>= 1:3.10.0),
         python3-oslo.context (>= 2.4.0),
         python3-oslo.i18n,
         python3-oslo.utils (>= 3.11.0),
         python3-pbr (>= 1.8),
         python3-six,
         python3-stevedore (>= 1.10.0),
         python3-webob,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-oslo.middleware-doc,
Breaks: python3-oslo-middleware (<< 1.3.0-1~),
Replaces: python3-oslo-middleware (<< 1.3.0-1~),
Description: various WSGI middleware components for OpenStack - Python 3.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 3.x module.

Package: python-oslo.middleware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: various WSGI middleware components for OpenStack - doc
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the documentation.

## python-oslo.middleware 3.19.0

=== requirements.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 pbr>=1.6 # Apache-2.0
 Jinja2>=2.8 # BSD License (3 clause)
-oslo.config>=3.10.0 # Apache-2.0
-oslo.context>=2.4.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
+oslo.context>=2.9.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.utils>=3.11.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 six>=1.9.0 # MIT
-stevedore>=1.10.0 # Apache-2.0
+stevedore>=1.16.0 # Apache-2.0
 WebOb>=1.2.3 # MIT
 debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.middleware (3.19.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * CVE-2017-2592: CatchErrors leaks sensitive values in oslo.middleware.
    Applied upstream patch (Closes: #852742).

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Jan 2017 16:34:33 +0100

python-oslo.middleware (3.19.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:12:59 +0200

python-oslo.middleware (3.19.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 10:23:07 +0200

python-oslo.middleware (3.18.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Aug 2016 08:53:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Ivan Udovichenko <iudovichenko@mirantis.com>,
            David Della Vecchia <ddv@canonical.com>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -22,48 +22,48 @@
                      python-hacking,
                      python-jinja2 (>= 2.8),
                      python-mock,
-                     python-oslo.config (>= 1:3.10.0),
-                     python-oslo.context (>= 2.4.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
                      python-oslo.i18n,
-                     python-oslo.utils (>= 3.11.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx,
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-six,
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-testtools (>= 1.4.0),
                      python-webob,
                      python3-debtcollector (>= 1.2.0),
                      python3-fixtures (>= 3.0.0),
                      python3-jinja2 (>= 2.8),
                      python3-mock,
-                     python3-oslo.config (>= 1:3.10.0),
-                     python3-oslo.context (>= 2.4.0),
+                     python3-oslo.config (>= 1:3.14.0),
+                     python3-oslo.context (>= 2.9.0),
                      python3-oslo.i18n,
-                     python3-oslo.utils (>= 3.11.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-six,
-                     python3-stevedore (>= 1.10.0),
+                     python3-stevedore (>= 1.16.0),
                      python3-subunit (>= 0.0.18),
                      python3-testtools (>= 1.4.0),
                      python3-webob,
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.middleware?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-oslo.middleware -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.middleware?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.middleware -b debian/newton
 Homepage: https://github.com/openstack/oslo.middleware
 
 Package: python-oslo.middleware
 Architecture: all
 Depends: python-debtcollector (>= 1.2.0),
          python-jinja2 (>= 2.8),
-         python-oslo.config (>= 1:3.10.0),
-         python-oslo.context (>= 2.4.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
          python-oslo.i18n,
-         python-oslo.utils (>= 3.11.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-six,
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-webob,
          ${misc:Depends},
          ${python:Depends},
@@ -80,13 +80,13 @@
 Architecture: all
 Depends: python3-debtcollector (>= 1.2.0),
          python3-jinja2 (>= 2.8),
-         python3-oslo.config (>= 1:3.10.0),
-         python3-oslo.context (>= 2.4.0),
+         python3-oslo.config (>= 1:3.14.0),
+         python3-oslo.context (>= 2.9.0),
          python3-oslo.i18n,
-         python3-oslo.utils (>= 3.11.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-six,
-         python3-stevedore (>= 1.10.0),
+         python3-stevedore (>= 1.16.0),
          python3-webob,
          ${misc:Depends},
          ${python3:Depends},

## python-oslo.middleware 3.23.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
WebOb>=1.6.0 # MIT
debtcollector>=1.2.0 # Apache-2.0
statsd>=3.2.1 # MIT

=== debian/changelog ===
python-oslo.middleware (3.23.1-0ubuntu1.1) zesty; urgency=medium

  * d/p/fix-parsing-of-forwarded-header.patch: Fix invalid parsing of
    forwarded header (LP: #1711573).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Sep 2017 09:13:49 -0400

python-oslo.middleware (3.23.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Feb 2017 14:57:47 -0500

python-oslo.middleware (3.23.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 11:12:03 -0500

python-oslo.middleware (3.22.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 11:49:29 -0500

python-oslo.middleware (3.21.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (build-)depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Dec 2016 09:52:57 -0500

python-oslo.middleware (3.20.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 
  * debian/control:Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 11:09:08 -0400

python-oslo.middleware (3.19.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 13:55:22 -0400

=== debian/control ===
Source: python-oslo.middleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
           David Della Vecchia <ddv@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-jinja2 (>= 2.8),
                     python-mock (>= 2.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-statsd (>= 3.2.1),
                     python-stevedore (>= 1.17.1),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-jinja2 (>= 2.8),
                     python3-mock (>= 2.0),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.context (>= 2.9.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-statsd,
                     python3-stevedore (>= 1.17.1),
                     python3-subunit (>= 0.0.18),
                     python3-testtools (>= 1.4.0),
                     python3-webob (>= 1.6.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.middleware
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.middleware
Homepage: https://github.com/openstack/oslo.middleware
Testsuite: autopkgtest-pkg-python

Package: python-oslo.middleware
Architecture: all
Depends: python-debtcollector (>= 1.2.0),
         python-jinja2 (>= 2.8),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-statsd (>= 3.2.1),
         python-stevedore (>= 1.17.1),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-oslo.middleware-doc,
Breaks: python-oslo-middleware (<< 1.3.0-1~),
Replaces: python-oslo-middleware (<< 1.3.0-1~),
Description: various WSGI middleware components for OpenStack - Python 2.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.middleware
Architecture: all
Depends: python3-debtcollector (>= 1.2.0),
         python3-jinja2 (>= 2.8),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.context (>= 2.9.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-statsd (>= 3.2.1),
         python3-stevedore (>= 1.17.1),
         python3-webob (>= 1.6.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-oslo.middleware-doc,
Breaks: python3-oslo-middleware (<< 1.3.0-1~),
Replaces: python3-oslo-middleware (<< 1.3.0-1~),
Description: various WSGI middleware components for OpenStack - Python 3.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 3.x module.

Package: python-oslo.middleware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: various WSGI middleware components for OpenStack - doc
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the documentation.
